Package org.jfree.report.modules.factories.data.sql

# Class SQLResourceXmlFactoryModule

java.lang.Object
org.jfree.report.modules.factories.data.sql.SQLResourceXmlFactoryModule

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`

public class SQLResourceXmlFactoryModule extends Object implements org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule
Creation-Date: 07.04.2006, 15:29:17

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule

`NOT_RECOGNIZED, RECOGNIZED_BY_DTD, RECOGNIZED_BY_NAMESPACE, RECOGNIZED_BY_TAGNAME`

## Constructor Summary

Constructors
Constructor
Description
`SQLResourceXmlFactoryModule()`

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`createReadHandler(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)`
`String`
`getDefaultNamespace(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)`
`int`
`getDocumentSupport(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SQLResourceXmlFactoryModule

public SQLResourceXmlFactoryModule()

## Method Details

### getDocumentSupport

public int getDocumentSupport(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)

Specified by:
  `getDocumentSupport` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`

### getDefaultNamespace

public String getDefaultNamespace(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)

Specified by:
  `getDefaultNamespace` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`

### createReadHandler

public org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler createReadHandler(org.pentaho.reporting.libraries.xmlns.parser.XmlDocumentInfo documentInfo)

Specified by:
  `createReadHandler` in interface `org.pentaho.reporting.libraries.xmlns.parser.XmlFactoryModule`